#popUp, .popUp {
    position: fixed;
    bottom: 15px;
    left: 0;
    max-width: 350px;
    width: calc(100% - 30px);
    margin-left: 15px;
    margin-left: -425px;                    /* oculto inicialmente */
    transition: margin-left 1s ease;
    /*z-index: 1050;*/
    z-index: 1019;
  }

  #popUpBtn, .popUpBtn {
    position: fixed;
    bottom: 2rem;
    left: 0;
    width: 5rem;
    height: 4rem;
    padding: 0;
    border: none;
    background: transparent;
    cursor: pointer;
    /*filter: drop-shadow(2px 2px 6px rgba(0,0,0,0.5));*/
    filter: drop-shadow(0 0.15rem 0.125rem rgba(0, 0, 0, 0.075))
    margin-left: -425px;                    /* oculto inicialmente */
    transition: margin-left 1.25s ease, transform .5s ease;
    /*z-index: 1050;*/
    z-index: 1019;
  }

  .popUpBtn-body {
    position: relative;
    height: 100%;
    background-color: white;
  }

  .popUpBtn-ornament {
    position: absolute;
    right: -2.25rem;
    top: 50%;
    transform: translateY(-50%);
    border-width: 2rem;
    border-style: solid;
    border-color: white;
    border-right-color: transparent !important;
    border-radius: 2px;
    z-index: -1;
  }

  /* Mobile: botón siempre visible */
  @media (max-width: 900px) {
    /*#popUpBtn { margin-left: 0 !important; }*/
  }